import { PointType } from "../types";
import { BaseAction } from "../actions/BaseAction";
import { DiagramModel } from "../models/DiagramModel";
import { BaseEntity } from "../BaseEntity";
export default abstract class AbstractBoard extends BaseEntity {
    canvas: Element;
    constructor();
    setCanvas(canvas: Element): void;
    getCanvas(): Element;
    abstract getRelativePoint(x: any, y: any): PointType;
    abstract navigate(action: BaseAction, event: MouseEvent, model?: DiagramModel): any;
    abstract navigateTo(coordinates: PointType, model: DiagramModel): any;
    canPlaceNode(coords: PointType): boolean;
}
